Airbnb
Airbnb: Search
Search from Airbnb. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
airbnb
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/airbnb/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/airbnb/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/airbnb/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/airbnb/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/airbnb/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/airbnb/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/airbnb/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/airbnb/search")
.header("X-API-Key", "<api-key>")
.asString();{
"success": true,
"data": {
"place": "Paris, France",
"results": [
{
"id": "1669612146929039736",
"url": "https://www.airbnb.com/rooms/1669612146929039736",
"title": "Apartment in Paris",
"name": "Stylish 1-Bedroom/2-Person Apartment – Beaugrenelle",
"subtitle": "Bright 6th-floor stay near the Eiffel Tower, with a balcony and a private entrance",
"rating": 5,
"review_count": 17,
"price": {
"amount": 714,
"currency": "EUR",
"nights": 4,
"qualifier": "for 4 nights"
},
"price_breakdown": [
{
"description": "4 nights x €178.34",
"amount": 713.37
}
],
"bedrooms": 1,
"beds": 1,
"bathrooms": 1,
"latitude": 48.84223,
"longitude": 2.29241,
"badges": [
"Guest favorite"
],
"images": [
"https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/053b1768-c702-49bf-9b31-d0b00b51260b.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/5ca917a8-cc14-48aa-9f76-f07a991a7f7a.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/8212d4d8-b4f5-47b7-9b0c-5f83bcfeb804.jpeg"
]
},
{
"id": "1789244334462111444",
"url": "https://www.airbnb.com/rooms/1789244334462111444",
"title": "Apartment in Paris",
"name": "1-bedroom Parisian apartment in the center ",
"subtitle": "Tasteful Parisian flat in the Latin Quarter, near Place Monge and Rue Mouffetard",
"price": {
"amount": 765,
"currency": "EUR",
"nights": 4,
"qualifier": "for 4 nights"
},
"price_breakdown": [
{
"description": "4 nights x €191.25",
"amount": 765
}
],
"bedrooms": 1,
"beds": 2,
"bathrooms": 1,
"latitude": 48.8419,
"longitude": 2.3529,
"images": [
"https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/7ad0a21c-dc61-4f7b-9c45-9c99ec24158d.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/68dc68c0-4513-46eb-a8fa-304c27f44d8c.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/445f921f-1ea9-4fbe-a013-c75704db10a9.jpeg"
]
},
{
"id": "42040070",
"url": "https://www.airbnb.com/rooms/42040070",
"title": "Apartment in Paris",
"name": "21 Eiffel Tower Apartment for 2 people",
"subtitle": "Decorator-renovated hideaway, 1 min from the metro, with a private entrance",
"rating": 4.81,
"review_count": 212,
"price": {
"amount": 435,
"currency": "EUR",
"nights": 4,
"qualifier": "for 4 nights"
},
"price_breakdown": [
{
"description": "4 nights x €108.75",
"amount": 435
}
],
"beds": 1,
"bathrooms": 1.5,
"latitude": 48.84118,
"longitude": 2.30754,
"badges": [
"Guest favorite"
],
"images": [
"https://a0.muscache.com/im/pictures/b4c186f7-1085-4d98-97cd-9f10e29f7970.jpg",
"https://a0.muscache.com/im/pictures/43244eb7-f2a8-4f0b-9fd8-b515d01b861b.jpg",
"https://a0.muscache.com/im/pictures/857eece6-5076-4f55-a492-d7c72d1a73bb.jpg"
]
}
],
"has_more": true,
"next_cursor": "eyJzZWN0aW9uX29mZnNldCI6MCwiaXRlbXNfb2Zmc2V0IjoxOCwidmVyc2lvbiI6MX0="
},
"meta": {
"endpoint_family": "stay_search",
"billable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Airbnb API overview for every Airbnb endpoint.
Authorizations
Query Parameters
Maximum string length:
100Available options:
entire_home, private_room, hotel_room Maximum string length:
200Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/airbnb/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/airbnb/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/airbnb/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/airbnb/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/airbnb/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/airbnb/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/airbnb/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/airbnb/search")
.header("X-API-Key", "<api-key>")
.asString();{
"success": true,
"data": {
"place": "Paris, France",
"results": [
{
"id": "1669612146929039736",
"url": "https://www.airbnb.com/rooms/1669612146929039736",
"title": "Apartment in Paris",
"name": "Stylish 1-Bedroom/2-Person Apartment – Beaugrenelle",
"subtitle": "Bright 6th-floor stay near the Eiffel Tower, with a balcony and a private entrance",
"rating": 5,
"review_count": 17,
"price": {
"amount": 714,
"currency": "EUR",
"nights": 4,
"qualifier": "for 4 nights"
},
"price_breakdown": [
{
"description": "4 nights x €178.34",
"amount": 713.37
}
],
"bedrooms": 1,
"beds": 1,
"bathrooms": 1,
"latitude": 48.84223,
"longitude": 2.29241,
"badges": [
"Guest favorite"
],
"images": [
"https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/053b1768-c702-49bf-9b31-d0b00b51260b.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/5ca917a8-cc14-48aa-9f76-f07a991a7f7a.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/8212d4d8-b4f5-47b7-9b0c-5f83bcfeb804.jpeg"
]
},
{
"id": "1789244334462111444",
"url": "https://www.airbnb.com/rooms/1789244334462111444",
"title": "Apartment in Paris",
"name": "1-bedroom Parisian apartment in the center ",
"subtitle": "Tasteful Parisian flat in the Latin Quarter, near Place Monge and Rue Mouffetard",
"price": {
"amount": 765,
"currency": "EUR",
"nights": 4,
"qualifier": "for 4 nights"
},
"price_breakdown": [
{
"description": "4 nights x €191.25",
"amount": 765
}
],
"bedrooms": 1,
"beds": 2,
"bathrooms": 1,
"latitude": 48.8419,
"longitude": 2.3529,
"images": [
"https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/7ad0a21c-dc61-4f7b-9c45-9c99ec24158d.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/68dc68c0-4513-46eb-a8fa-304c27f44d8c.jpeg",
"https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/445f921f-1ea9-4fbe-a013-c75704db10a9.jpeg"
]
},
{
"id": "42040070",
"url": "https://www.airbnb.com/rooms/42040070",
"title": "Apartment in Paris",
"name": "21 Eiffel Tower Apartment for 2 people",
"subtitle": "Decorator-renovated hideaway, 1 min from the metro, with a private entrance",
"rating": 4.81,
"review_count": 212,
"price": {
"amount": 435,
"currency": "EUR",
"nights": 4,
"qualifier": "for 4 nights"
},
"price_breakdown": [
{
"description": "4 nights x €108.75",
"amount": 435
}
],
"beds": 1,
"bathrooms": 1.5,
"latitude": 48.84118,
"longitude": 2.30754,
"badges": [
"Guest favorite"
],
"images": [
"https://a0.muscache.com/im/pictures/b4c186f7-1085-4d98-97cd-9f10e29f7970.jpg",
"https://a0.muscache.com/im/pictures/43244eb7-f2a8-4f0b-9fd8-b515d01b861b.jpg",
"https://a0.muscache.com/im/pictures/857eece6-5076-4f55-a492-d7c72d1a73bb.jpg"
]
}
],
"has_more": true,
"next_cursor": "eyJzZWN0aW9uX29mZnNldCI6MCwiaXRlbXNfb2Zmc2V0IjoxOCwidmVyc2lvbiI6MX0="
},
"meta": {
"endpoint_family": "stay_search",
"billable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}